#!/bin/sh
. ./all.env
cat <<EOF > $TEMPPAT
db: /foo/bar/foo/bar.db: No such file or directory
db: /tmp/slow1.db: No such file or directory
db: /tmp/slow1.db: successfully opened
db: /tmp/slow2.db: successfully opened
1.2.3.4: successful write
1.2.3.4: 01/07/2009 02:46:40 bits=[HED][ENV][HON][MID][FRM][BHO][RBL][ABO][PIP][FOR][MMX][NET] envrcpts=1234 hdrrcpts=1234 honeyrcpts=1234 bad=1234
EOF
cd ..; $PROG -Ddb -X${TEMPDB1},${TEMPDB2} \
	> $TEMPOUT
if `diff $TEMPPAT $TEMPOUT`; then
	echo "	"$0:"		"OK
	rm $TEMPPAT $TEMPOUT
	rm $TEMPDB1 $TEMPDB2
	exit 0
fi
echo "	"$0:"		"failed
diff -c $TEMPPAT $TEMPOUT
rm $TEMPPAT $TEMPOUT
rm $TEMPDB1 $TEMPDB2
exit 1
